import cv2
import torch
import matplotlib.pyplot as plt
import vision_v02

def videolocalize(modelPath,frame):
    directory=vision_v02.__file__
    directory=directory[:-11]
    # Load YOLOv5 model
    model = torch.hub.load(directory, 'custom', path=modelPath, source='local')
    # Detect objects in the image
    results = model(frame)

    # Get the bounding box coordinates and labels of detected objects
    bboxes = results.xyxy[0].numpy()
    labels = results.names[0]
    count=0
    # Loop over the detected objects and draw bounding boxesimport
    for i, bbox in enumerate(bboxes):
        # Get the coordinates of the top-left and bottom-right corners of the bounding box
        x1, y1, x2, y2 = bbox[:4].astype(int)

        # Draw the bounding box rectangle and label text
        cv2.rectangle(frame, (x1, y1), (x2, y2), (0, 255, 0), 2)
        #cv2.putText(image, labels[int(bbox[5])], (x1, y1 - 10), cv2.FONT_HERSHEY_SIMPLEX, 0.5, (0, 255, 0), 2)
        cv2.imshow('frame',frame)
        x=(x1+x2)/2
        y=(y1+y2)/2
        point=[]
        point.append(x)
        point.append(y)
        count+=1
    point.insert(0,count)
    return point
    
def localize(modelPath,imgPath):
    directory=vision_v02.__file__
    directory=directory[:-11]
    # Load YOLOv5 model
    model = torch.hub.load(directory, 'custom', path=modelPath, source='local')

    # Load image
    image = cv2.imread(imgPath)

    # Convert image to RGB format
    image = cv2.cvtColor(image, cv2.COLOR_BGR2RGB)

    # Detect objects in the image
    results = model(image)

    # Get the bounding box coordinates and labels of detected objects
    bboxes = results.xyxy[0].numpy()
    labels = results.names[0]
    count=0
    # Loop over the detected objects and draw bounding boxesimport
    for i, bbox in enumerate(bboxes):
        # Get the coordinates of the top-left and bottom-right corners of the bounding box
        x1, y1, x2, y2 = bbox[:4].astype(int)

        # Draw the bounding box rectangle and label text
        cv2.rectangle(image, (x1, y1), (x2, y2), (0, 255, 0), 2)
        #cv2.putText(image, labels[int(bbox[5])], (x1, y1 - 10), cv2.FONT_HERSHEY_SIMPLEX, 0.5, (0, 255, 0), 2)
        cv2.imwrite('detected_image.jpg',image)
        x=(x1+x2)/2
        y=(y1+y2)/2
        point=[]
        point.append(x)
        point.append(y)
        count+=1
    point.insert(0,count)
    return point